
Foreman - Bug #6977

Global PXE Menu hostgroup name shall be first in menu label and also sort menu labels

08/07/2014 04:32 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Templates   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1127595 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3457

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1127595

Description of problem:

The hostgroup name is more important for the server then the provisioning template name. The hostgroup defines really what it will

get and also the content view afterwards.

Also sort the list of PXE menu entries alphanumeric to have a easier to browse/navigate PXE menu.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

PXE menu to have the hostgroup name as first words in the menu entry before the provisioning template

Additional info:

Related issues:

Related to Foreman - Bug #17151: Host group name should be sorted by title in... Closed 10/31/2016

Associated revisions

Revision 7e2ffecc - 05/02/2016 02:53 AM - Amir Fefer

Fixes #6977 - default PXE menu's labels are sorted

History

#1 - 08/07/2014 04:32 AM - Dominic Cleal

- Category set to Templates

#2 - 03/22/2016 04:35 AM - Ohad Levy

- Assignee set to Amir Fefer

#3 - 04/24/2016 09:22 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3457 added

#4 - 05/02/2016 03:02 AM - Amir Fefer
https://bugzilla.redhat.com/show_bug.cgi?id=1127595


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7e2ffeccf42c727eaac62918097172be71ea66f0.

#5 - 05/03/2016 04:04 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#6 - 11/01/2016 09:14 AM - Dominic Cleal

- Related to Bug #17151: Host group name should be sorted by title in PXE menu labels added
